6.0.0-git
2021-01-18

[#6150] Permission sql driver
Summary Permission sql driver
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-01-25 (4742 days ago)
Due
Updated 2008-04-10 (4666 days ago)
Assigned 2008-04-10 (4666 days ago)
Resolved 2008-04-10 (4666 days ago)
Milestone
Patch Yes

History
2008-04-10 05:21:47 Chuck Hagenbuch Comment #10
State ⇒ Resolved
Reply to this comment
Just needed to run horde-merge.php on this commit:

http://lists.horde.org/archives/cvs/Week-of-Mon-20080407/077159.html
2008-04-10 04:51:15 Ben Klang Comment #9
State ⇒ Assigned
Reply to this comment
It looks like the SQL schema to create tables was omitted from the 
3.1_to_3.2 upgrade script.  The schema also does not appear in the 
scripts/sql directory.  This is in a FRAMEWORK_3 checkout from tonight.
2008-04-08 16:59:13 Chuck Hagenbuch Comment #8 Reply to this comment
Fixed, thanks
2008-04-08 08:21:52 Duck Comment #7 Reply to this comment
Committed, with a bunch of work on Perms and Share to get datatree
dependencies/references out and make this work without them. Thanks!
There is still a reference to DataTree::encodeName in the 
horde/admin/perms/add_child.php.
2008-04-08 06:26:25 Chuck Hagenbuch Comment #6
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Committed, with a bunch of work on Perms and Share to get datatree 
dependencies/references out and make this work without them. Thanks!
2008-04-07 00:43:52 Chuck Hagenbuch Comment #5 Reply to this comment
Added the SQL scripts and upgrade instructions.
2008-04-04 18:03:53 Chuck Hagenbuch Comment #4 Reply to this comment
I've committed the UI.php and datatree.php changes as they make sense 
even without the rest of this (though I'm working on the full patch 
too). Thanks again.
2008-02-25 18:53:50 Chuck Hagenbuch State ⇒ Accepted
 
2008-02-25 01:05:00 Jan Schneider Patch ⇒ Yes
 
2008-02-25 01:04:50 Jan Schneider Deleted Original Message
 
2008-01-27 11:11:28 Duck Comment #3
New Attachment: sql[1].php Download
Reply to this comment
Cache key fix.

Works on all my installations.
2008-01-26 11:23:08 Duck Comment #2
New Attachment: sql.php
Reply to this comment
Fix adding permissions to the top level.



Finished.
2008-01-25 16:34:13 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Permission sql driver
Queue ⇒ Horde Framework Packages
New Attachment: perms.tgz Download
Reply to this comment
Another attempt minimize my DB load is moving permissions outside DT. 
Permission actually uses only id, name, parents and data colum for 
serialize its attributes. So with this driver you get a very small and 
fast table loading only the data needed when needed. And even loads 
and connect the db objeject only when need, as the comon calls are 
only hasPermission and exists and if you use cache you will never 
build anoter DB conenction to check a premission.



You also need the apply the perms.diff to the permissions UI as one 
datatree call is harcoded. As the permission driver, but this you must 
change it by your own.



Files:

- perms.sql, horde_perms table structure

- migrate.php: moves your current permissons to a flat table

- perms.diff current UI fix

- sql.php driver to out in Horde/Perms/sql.php

- test.php, runs all driver methods for result coparations

Saved Queries